curl --location 'https://api.myvocal.ai/sound_clone/api/v1/tts/list' \
--header 'accessKey: xxx'
{
"code": 1,
"message": "Success",
"data": {
"hasMore": true,
"earliestHistoryItemId": "2186",
"list": [
{
"voiceId": "7813",
"voiceName": "test",
"id": "2197",
"title": "female",
"text": "Generate a text-to-speech audio using a voice of your choice and returns audio stream.",
"useChars": 86,
"language": "en",
"channel": "api"
},
{
"voiceId": "7789",
"voiceName": "FirstClonedVoice",
"id": "2194",
"title": "female",
"text": "Generate a text-to-speech audio using a voice of your choice and returns audio stream.",
"useChars": 86,
"language": "en",
"channel": "api"
}
]
}
}
{
"code": -1,
"message": "error msg",
}
History
Get TTS List
Return metadata about all your generated tts audio.
GET
/
sound_clone
/
api
/
v1
/
tts
/
list
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/tts/list' \
--header 'accessKey: xxx'
{
"code": 1,
"message": "Success",
"data": {
"hasMore": true,
"earliestHistoryItemId": "2186",
"list": [
{
"voiceId": "7813",
"voiceName": "test",
"id": "2197",
"title": "female",
"text": "Generate a text-to-speech audio using a voice of your choice and returns audio stream.",
"useChars": 86,
"language": "en",
"channel": "api"
},
{
"voiceId": "7789",
"voiceName": "FirstClonedVoice",
"id": "2194",
"title": "female",
"text": "Generate a text-to-speech audio using a voice of your choice and returns audio stream.",
"useChars": 86,
"language": "en",
"channel": "api"
}
]
}
}
{
"code": -1,
"message": "error msg",
}
Header
string
required
You can copy your api-key on https://www.myvocal.ai/profile after you have subscribed to Pro or Business Plan.
Body
number
default:"10"
The number of TTS History queries at one time, supporting 10 ~ 1000 data queries at a time.
If this parameter is empty, the default value is 10.
string
If this parameter is provided, we will start tracing back to earlier TTS History from this TTS item.
If this parameter is empty, then we will default to tracing back directly from the most recent data.
Response
number
required
Indicates whether the call was successful. 1 if successful.
string
When an exception occurs, specific exception information will be provided in the message.
object
Includes specific data.
Show Toggle object
Show Toggle object
boolean
If there is no earlier created TTS item, then callback 1
If there are still earlier created TTS items, then callback 0
String
The earliest ttsid in this callback.
list
The specific info of TTS history queried this time.
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/tts/list' \
--header 'accessKey: xxx'
{
"code": 1,
"message": "Success",
"data": {
"hasMore": true,
"earliestHistoryItemId": "2186",
"list": [
{
"voiceId": "7813",
"voiceName": "test",
"id": "2197",
"title": "female",
"text": "Generate a text-to-speech audio using a voice of your choice and returns audio stream.",
"useChars": 86,
"language": "en",
"channel": "api"
},
{
"voiceId": "7789",
"voiceName": "FirstClonedVoice",
"id": "2194",
"title": "female",
"text": "Generate a text-to-speech audio using a voice of your choice and returns audio stream.",
"useChars": 86,
"language": "en",
"channel": "api"
}
]
}
}
{
"code": -1,
"message": "error msg",
}
